diff --git a/wmake/scripts/wcleanBuild b/wmake/scripts/wcleanBuild
new file mode 100755
index 0000000000..0c13af7642
--- /dev/null
+++ b/wmake/scripts/wcleanBuild
@@ -0,0 +1,185 @@
+#!/bin/sh
+#------------------------------------------------------------------------------
+# ========= |
+# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
+# \\ / O peration |
+# \\ / A nd | Copyright (C) 2017 OpenCFD Ltd.
+# \\/ M anipulation |
+#-------------------------------------------------------------------------------
+# License
+# This file is part of OpenFOAM.
+#
+# OpenFOAM is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with OpenFOAM. If not, see .
+#
+# Script
+# wcleanBuild
+#
+# Usage
+# wcleanBuild [.. ]
+#
+# Description
+# Deletes the specified 'build/' object files directories from the
+# the project top-level 'build/' directory $WM_PROJECT_DIR.
+#
+# special platforms
+# - 'all' removes all platforms.
+# - 'compiler' corresponds to $WM_ARCH$WM_COMPILER.
+# - 'current' corresponds to $WM_OPTIONS.
+#
+# You must be in the project or the third-party top-level directory
+# to run this script.
+#
+# When called as wcleanPlatform, the target directory changes to
+# 'platforms/ and the 'all' target also cleans up lnInclude dirs and
+# tutorials
+#
+#------------------------------------------------------------------------------
+Script="${0##*/}"
+targetDir=build # Safe default - override based on script name
+
+case "$Script" in
+(*[Pp]latform*)
+ targetDir=platforms
+ ;;
+esac
+
+usage() {
+ local extraText
+ if [ "$targetDir" = platforms ]
+ then
+ extraText=", lnInclude and clean tutorials"
+ fi
+
+ exec 1>&2
+ while [ "$#" -ge 1 ]; do echo "$1"; shift; done
+ cat< [.. ]
+
+options:
+ -a, -all Same as 'all'
+ -c, -current Use \$WM_OPTIONS ($WM_OPTIONS)
+ -comp, -compiler Use \$WM_ARCH\$WM_COMPILER* ($WM_ARCH$WM_COMPILER)
+ -compiler=NAME Use \$WM_ARCH* ($WM_ARCH*)
+ -h, -help Print the usage
+
+
+Deletes the specified $targetDir/ object file directories from the project
+top-level $targetDir/ directory $WM_PROJECT_DIR.
+
+special platforms:
+ all Remove all platforms$extraText
+ compiler $WM_ARCH$WM_COMPILER (ie, \$WM_ARCH\$WM_COMPILER)
+ current $WM_OPTIONS (ie, \$WM_OPTIONS)
+
+You must be in the project or the third-party top-level directory
+to run this script.
+
+USAGE
+ exit 1
+}
+
+# Find -help anywhere
+for i
+do
+ case "$i" in (-h | -help) usage ;; esac
+done
+
+#------------------------------------------------------------------------------
+# Run from OPENFOAM or THIRDPARTY top-level directory only
+wmakeCheckPwd -q "$WM_PROJECT_DIR" 2>/dev/null || \
+wmakeCheckPwd -q "$WM_THIRD_PARTY_DIR" 2>/dev/null || \
+{
+cat< .
-#
-# Script
-# wcleanBuild
-#
-# Usage
-# wcleanBuild [.. ]
-#
-# Description
-# Deletes the specified 'build/' object files directories from the
-# the project top-level 'build/' directory $WM_PROJECT_DIR.
-#
-# special platforms
-# - 'all' removes all platforms.
-# - 'compiler' corresponds to $WM_ARCH$WM_COMPILER.
-# - 'current' corresponds to $WM_OPTIONS.
-#
-# You must be in the project or the third-party top-level directory
-# to run this script.
-#
-#------------------------------------------------------------------------------
-Script=${0##*/}
-
-usage() {
- exec 1>&2
- while [ "$#" -ge 1 ]; do echo "$1"; shift; done
- cat< [.. ]
- $Script -all | -compiler | -current [ [.. ]]
-
-options:
- -a, -all Same as 'all'
- -comp, -compiler Same as 'compiler'
- -c, -current Same as 'current'
- -h, -help Print the usage
-
-
-Deletes the specified build/ object file directories from the project
-top-level build/ directory $WM_PROJECT_DIR.
-
-special platforms:
- all Remove all platforms
- compiler $WM_ARCH$WM_COMPILER (ie, \$WM_ARCH\$WM_COMPILER)
- current $WM_OPTIONS (ie, \$WM_OPTIONS)
-
-You must be in the project or the third-party top-level directory
-to run this script.
-
-USAGE
- exit 1
-}
-
-# Find -help anywhere
-for i
-do
- case "$i" in (-h | -help) usage ;; esac
-done
-
-#------------------------------------------------------------------------------
-# Run from OPENFOAM or THIRDPARTY top-level directory only
-wmakeCheckPwd -q "$WM_PROJECT_DIR" 2>/dev/null || \
-wmakeCheckPwd -q "$WM_THIRD_PARTY_DIR" 2>/dev/null || \
-{
-cat< .
-#
-# Script
-# wcleanPlatform
-#
-# Usage
-# wcleanPlatform [.. ]
-#
-# Description
-# Deletes the specified 'platforms/' object files directories from the
-# the project top-level 'platforms/' directory $WM_PROJECT_DIR.
-#
-# special platforms
-# - 'all' removes all platforms, lnInclude directories and cleans tutorials.
-# - 'compiler' corresponds to $WM_ARCH$WM_COMPILER.
-# - 'current' corresponds to $WM_OPTIONS.
-#
-# You must be in the project or the third-party top-level directory
-# to run this script.
-#
-#------------------------------------------------------------------------------
-Script=${0##*/}
-
-usage() {
- exec 1>&2
- while [ "$#" -ge 1 ]; do echo "$1"; shift; done
- cat< [.. ]
- $Script -all | -compiler | -current [ [.. ]]
-
-options:
- -a, -all Same as 'all'
- -comp, -compiler Same as 'compiler'
- -c, -current Same as 'current'
- -h, -help Print the usage
-
-
-Deletes the specified platforms/ object file directories from the project
-top-level platforms/ directory $WM_PROJECT_DIR.
-
-special platforms:
- all Remove all platforms, lnInclude and clean tutorials
- compiler $WM_ARCH$WM_COMPILER (ie, \$WM_ARCH\$WM_COMPILER)
- current $WM_OPTIONS (ie, \$WM_OPTIONS)
-
-You must be in the project or the third-party top-level directory
-to run this script.
-
-USAGE
- exit 1
-}
-
-# Find -help anywhere
-for i
-do
- case "$i" in (-h | -help) usage ;; esac
-done
-
-#------------------------------------------------------------------------------
-# Run from OPENFOAM or THIRDPARTY top-level directory only
-wmakeCheckPwd -q "$WM_PROJECT_DIR" 2>/dev/null || \
-wmakeCheckPwd -q "$WM_THIRD_PARTY_DIR" 2>/dev/null || \
-{
-cat<